Cannot Resolve R

0 Gustavo Flores · June 30, 2015
Hello all, I'm currently on Bucky's tutorial #22 for Android Dev and when I finished coding it all suddenly I got a, "Cannot Resolve R" error on my R.id.etc....
I've tried rebuilding the project, I've tried doing clean project and I've tried syncing it with gradle files.
I've also tried closing the project and reopening it. I also completely deleted the xml file (along with the .class which I forgot to copy and paste, rip) and retyping the whole thing.. nothing.
Any advice?

Post a Reply

Replies

Oldest  Newest  Rating
0 Jagdeep Matharu · June 30, 2015
you can change from build.gradle(module:app


android {
   compileSdkVersion 21
   buildToolsVersion '21.0.1'
......
....
}


Or

select File | Project Structure change Build Tools Version to 21.1.1

Happy coding
0 Gustavo Flores · June 30, 2015
Project Structure doesn't have version 21.1.1 as an option, only 22.0.1. If I type it in manually it tells me it wasn't built correctly.
  • 1

Java / Android Development

107,273 followers
About

Very popular language used to create desktop applications, website applets, and Android apps.

Links
Moderators
Bucky Roberts Administrator